# This file created by conda-build 3.7.0
# meta.yaml template originally from:
# C:\ci\containers\000002cu985\tmp\build\80754af9\rsync-recipes\matplotlib-2.2.0-cxx_compiler_vs2008-python_2.7-c_compiler_vs2008-on-winbuilder, last modified Tue Mar  6 12:29:34 2018
# ------------------------------------------------

package:
    name: matplotlib
    version: 2.2.0
source:
    patches:
        - cfg_qt5agg.patch
        - setupext.patch
    sha256: b1dfd2bec5fae524469a046b3d9083772fb41c547a581b2bdf84f017b7649eff
    url: https://github.com/matplotlib/matplotlib/archive/v2.2.0.tar.gz
build:
    number: '0'
    string: py27hf8772e1_0
requirements:
    build:
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - backports 1.0 py27h6492d98_1
        - backports.functools_lru_cache 1.5 py27_1
        - ca-certificates 2017.08.26 h94faf87_0
        - certifi 2018.1.18 py27_0
        - cycler 0.10.0 py27h59acbbf_0
        - freetype 2.8 hea645e0_1
        - functools32 3.2.3.2 py27h0cdbcdb_1
        - icc_rt 2017.0.4 h97af966_0
        - icu 58.2 h2aa20d9_1
        - intel-openmp 2018.0.0 hd92c6cd_8
        - jpeg 9b ha175dff_2
        - libpng 1.6.34 h325896a_0
        - mkl 2018.0.1 h2108138_4
        - msinttypes r26 h7e1a5f4_2
        - nose 1.3.7 py27h84c72c6_2
        - numpy 1.11.3 py27hfef472a_4
        - openssl 1.0.2n hc64555f_0
        - pyparsing 2.2.0 py27hc7d9fa6_1
        - pyqt 5.6.0 py27h224ed30_5
        - python 2.7.14 h8c3f1cb_23
        - python-dateutil 2.6.1 py27hbdcc174_1
        - pytz 2018.3 py27_0
        - qt 5.6.2 vc9hc26998b_12
        - setuptools 38.5.1 py27_0
        - sip 4.18.1 py27h5ec1c1a_2
        - six 1.11.0 py27ha5e1701_1
        - sqlite 3.22.0 h8b3e59e_0
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
        - wincertstore 0.2 py27hf04cefb_0
        - zlib 1.2.11 hbc2faf4_2
    run:
        - backports.functools_lru_cache
        - cycler >=0.10
        - freetype >=2.8,<2.9.0a0
        - functools32
        - kiwisolver
        - libpng >=1.6.34,<1.7.0a0
        - numpy
        - pyparsing
        - pyqt 5.6.*
        - python >=2.7,<2.8.0a0
        - python-dateutil
        - pytz
        - setuptools
        - tornado
        - vc 9.*
        - zlib >=1.2.11,<1.3.0a0
test:
    imports:
        - matplotlib
        - matplotlib._image
        - matplotlib._path
        - matplotlib._png
        - matplotlib._tri
        - matplotlib.backends._backend_agg
        - matplotlib.ft2font
        - matplotlib.pyplot
        - matplotlib.ttconv
        - mpl_toolkits
        - pylab
about:
    description: 'matplotlib is a python 2D plotting library which produces publication

        quality figures in a variety of hardcopy formats and interactive

        environments across platforms. matplotlib can be used in Python scripts,

        the Python and IPython shell (ala MATLAB or Mathematica), web

        application servers, and six graphical user interface toolkits.

        '
    dev_url: https://github.com/matplotlib/matplotlib/
    doc_url: http://matplotlib.org/contents.html
    home: http://matplotlib.org/
    license: PSF-based
    license_family: PSF
    license_file: LICENSE/LICENSE
    license_url: http://matplotlib.sourceforge.net/users/license.html
    summary: Publication quality figures in Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - dopplershift
        - mdboom
        - ocefpaf
        - pelson
        - tacaswell
